IKEv1 සහ IKEv2 පෙර බෙදාගත් යතුර සමඟ: සත්යාපනයේ වෙනස කුමක්ද
පිටපත් දෙකම යතුර නොයවා එය දැනීම ඔප්පු කරයි, නමුත් විවිධ ආදාන විවිධ හැෂ් වෙත ලබා දෙයි. ට්රේස් දෙක සසඳන්න.
එකම පෙර බෙදාගත් යතුරින් වින්යාස කළ ද්වාර දෙකක් අත්වැල් ගැසීම සම්පූර්ණ කරයි, තුඩු වාර්තාව කම්බිය හරහා යන කිසිදු රහසක් නොපෙන්වයි. මිනිසුන්ට මතක රැඳෙන කොටස එයයි. සිත්ගන්නා කොටස නම් රහස දන්නා බව ඔප්පු කිරීමට එක් එක් පිටපත සැබවින්ම ගණනය කරන දෙයයි, මන්ද IKEv1 සහ IKEv2 එම සාක්ෂිය විවිධ ආදානවලින් ගොඩනඟා එසේ කරන අතර විවිධ තොරතුරු හෙළි කරයි. ට්රේස් දෙක පැත්තට පැත්ත කියවන්න, වෙනස මතුපිට පමණක් වීම නවතී.
සාක්ෂිය ලබා ගත යුත්තේ කුමක්ද
Diffie-Hellman දෙපිරිසටම පොදු අගයක් ලබා දෙයි, එහි පොදු අර්ධය නිරීක්ෂකයෙකුට ද ගණනය කළ හැක. එය පමණක් අනන්යතාව ගැන කිසිවක් ඔප්පු නොකරයි: යතුරු හුවමාරුව සම්පූර්ණ කරන ප්රහාරකයාට ඔබේ ද්වාරයට සමාන පොදු අගයක් ඇත. සත්යාපන පියවර ඇත්තේ එම හුවමාරුව අදහස් කළ පාර්ශ්වවලට පමණක් ඇති රහසකට සහ ඔවුන් එකඟ වූ අනන්යතා හා පරාමිතීන්ට බැඳීමටයි.
එම බැඳීම නිසාම හැෂ් යතුරට වඩා වැඩි දෙයක් ආවරණය කරයි. එය රහස පමණක් ආවරණය කළේ නම්, ප්රහාරකයාට එය වෙනත් අනන්යතා හෝ යෝජනා සහිත තවත් හුවමාරුවකට නැවත වාදනය කළ හැකි වන්නට ඉඩ තිබුණි.
IKEv1 ප්රධාන මාදිලිය: SKEYID ලබාගෙන පසුව ඔප්පු කරන්න
ප්රධාන මාදිලිය පණිවිඩ හයක් ධාවනය කරයි. පළමු යුගලය ආරක්ෂණ සම්බන්ධතාවය ගැන සාකච්ඡා කරයි, දෙවැන්න Diffie-Hellman පොදු අගයන් සහ nonce හුවමාරු කරයි, තෙවැන්න දැන් ස්ථාපිත කළ සංකේතනය යටතේ අනන්යතා සහ සත්යාපන හැෂ් රැගෙන යයි. RFC 2409 ව්යුහය නිර්වචනය කරයි: පෙර බෙදාගත් යතුරු සත්යාපනයේදී SKEYID රහස සහ nonce දෙකෙන් ලබාගනු ලබන අතර, පසුව එන යතුරු ද්රව්ය SKEYID, Diffie-Hellman පොදු අගය, කුකීස් සහ නියතවලින්.
පස්වන සහ හයවන පණිවිඩයේ හැෂ් ගණනය කරන්නේ Diffie-Hellman අගය, කුකීස් දෙක, යෝජනාව සහ යවන්නාගේ අනන්යතාව මතින්, SKEYID යතුර ලෙස ගෙනය. ලබන්නා තමන් වින්යාස කළ රහසින් එය නැවත ගණනය කරයි. නොගැළපීම හුවමාරුව අවසන් කරයි, රහසම කිසිදා පේලෝඩයක් නොවේ.
Aggressive මාදිලිය එකම කටයුත්ත පණිවිඩ තුනකට සංකෝචනය කරයි, එනම් සංකේතිත මාර්ගයක් පවතින්නට පෙරම අනන්යතා සහ සත්යාපන හැෂ් ගමන් කරයි. අනුමාන කළ හැකි රහසකට මෙය සැබෑ නිරාවරණයකි, සහ රහස සම්ප්රේෂණය වුණාද යන ප්රශ්නයෙන් එය වෙන්ය. IKEv1 RFC 9395 මගින් යල් පැන ගොස් ඇත, එබැවින් පැරණි ට්රේසයක් රෝග විනිශ්චය අභ්යාසයක් මිස යෙදවීමේ ඉලක්කයක් නොවේ.
IKEv2: වෙනස් ව්යුත්පන්නයක් සහ වෙනස් AUTH පේලෝඩයක්
IKEv2 IKEv1 හි යතුරු කාලසටහන නැවත භාවිත නොකරයි. ආරම්භක IKE යතුරු පැමිණෙන්නේ nonce සහ Diffie-Hellman පොදු අගයෙන් ගොඩනැගූ බීජයකිනි, දරු ආරක්ෂණ සම්බන්ධතා එයින් ව්යුත්පන්න වේ. පෙර බෙදාගත් යතුර බීජයට කිසිසේත් ආහාර නොදෙයි.
පසුව සත්යාපනය AUTH පේලෝඩයක් ලෙස දිස්වේ. හවුල් යතුරු සත්යාපනය සඳහා RFC 7296 රහසේ පිරවූ ආකාරය නියම කරයි, එය රහස ස්ථිර තන්තුවකින් හැෂ් කිරීමෙන් ලැබේ Key Pad for IKEv2, පසුව අත්සන් කළ හුවමාරු දත්ත සහ අනන්යතාව එම පිරවූ යතුරින් හැෂ් කරයි. සත්යාපකයාට එම අගය නැවත ගොඩනැගිය හැක; නිරීක්ෂකයාට රහස නොමැතිව නොහැක.
කුමක් වෙනස් වුණාදැයි සැලකිල්ලට ගන්න. IKEv1 හි රහස සත්යාපන හැෂ් පවතින්නට පෙරම යතුරු කාලසටහනට කලවම් කර ඇත; IKEv2 හි යතුරු කාලසටහන රහසින් ස්වාධීන වන අතර සාක්ෂිය අත්සන් කළ ඔක්ටෙට් වලට බැඳුණු වෙනම පේලෝඩයකි. එකම සංකල්පීය සහතිකය, වෙනස් යන්ත්රය, එබැවින් පරාමිති නම් සහ වාර්තා එකිනෙකට නොගැළපේ.
නිරීක්ෂකයා සැබවින්ම ඉගෙන ගන්නේ කුමක්ද
Diffie-Hellman පොදු අගයන්, යෝජනා, nonce සහ කුකීස් පිටපත් දෙකේම දිස්වේ. අනන්යතා IKEv1 Aggressive මාදිලියේ දිස්වන අතර අනෙක් අවස්ථාවල ආරක්ෂිතය. රහස කිසිදා නොපෙනේ.
එම අවසාන වාක්යයට කිව යුතු සීමාවක් ඇත. දුර්වල, මිනිසා තෝරාගත් රහසකට අනුමානයෙන් ප්රහාර එල්ල කළ හැක: ප්රහාරකයා අපේක්ෂක රහසක් සඳහා සත්යාපන අගය කුමක් වේදැයි ගණනය කර සසඳයි. IKEv1 Aggressive මාදිලිය මෙය ලාභම කරන්නේ සාක්ෂිය විවෘතව පවතින නිසාය, සම්මතයන් සාමාන්යයෙන් අඩු එන්ට්රොපිය රහස් ගැන අනතුරු අඟවයි. රහස කිසිදා නොයැවීම නරක රහසක් ආරක්ෂිත කිරීමට සමාන නොවේ.
මෙම සංසන්දනය සමඟ කුමක් කළ යුතුද
සෑම පාර්ශ්ව යුගලයකටම අනන්ය රහසක් භාවිත කරන්න, එය අහඹු මූලාශ්රයකින් ජනනය කරන්න, සහ එය බෙදාහැරි එම සැපයුම් මාර්ගයෙන්ම කරකවන්න. රහස සෑම ශාඛාවකටම යවන වින්යාස සැකිල්ලක තිබේ නම්, එක් තැනක උල්ලංඝනය සෑම තැනකම උල්ලංඝනයකි.
මෙහෙයුම් පිරිවැය පිළිගත හැකි තැන සහතික පදනම් කරගත් සත්යාපනයට මුල්තැන දෙන්න, මන්ද එය හවුල් රහස අනුමාන කිරීමේ ගැටලුව ඉවත් කර සෑම පාර්ශ්වයකටම වෙනම අනන්යතාවක් ලබා දෙයි. පෙර බෙදාගත් යතුරක් රැඳී ඇති තැන එය දිගු කර තබන්න, විෂය පථය පටු කරන්න, සහ IKE අනුවාදය අන්තර්ක්රියාකාරීත්ව විස්තරයක් නොව ආරක්ෂක තීරණයක් ලෙස සලකන්න.